Subject: bug#67809: [PATCH] Add font-locking for assignments in typescript-ts-mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Dec 2023 10:45:19 +0200

> Cc: [email-masked]
> Date: Wed, 13 Dec 2023 22:45:51 +0200
> From: Dmitry Gutov <[email-masked]>
> 
> On 13/12/2023 21:26, Noah Peart wrote:
> > I thought `font-lock-variable-name-face` was standard for assignments?  
> > It's what is applied
> > in ruby-ts-mode, python-ts-mode, and c-ts-mode for example.  I like it 
> > personally, cause
> > it allows for visual distinction between l/r values.
> 
> ruby and python's parsers cannot distinguish between assignments that 
> introduce a new variable (thus working as an implicit declaration) and 
> those that reassign an existing variable. Hopefully, we'll be able to 
> improve that in the future.
> 
> TypeScript, however, has explicit variable declarations.
> 
> > Either way, I think the patch can be simplified to only highlight the 
> > variable being assigned
> > and not any others on the left-hand side.  It would be simpler and more 
> > customizable
> > to highlight any remaining variables in a `variable` feature in a 
> > following rule.
> 
> I'm also not sure I agree that, for example, 'arr' is the variable being 
> assigned to in the first example. Its value (the reference) doesn't change.
> 
> But it's totally fine to add a 'variable' feature to 
> typescript-ts-mode's font-lock to apply font-lock-variable-use-face to it.

What is the conclusion here?  Do we have an agreed-upon patch to
install?

Thanks.